#
# spec file for package kwin-decor-suse2 (Version 0.4.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa-devel arts arts-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-compat-mDNSResponder avahi-compat-mDNSResponder-devel avahi-devel avahi-glib bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-devel cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils fam fam-devel file fileshareset filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv jack-devel kdebase3 kdebase3-devel kdelibs3 kdelibs3-arts kdelibs3-default-style kdelibs3-devel kdelibs3-doc less libacl libacl-devel libart_lgpl libart_lgpl-devel libasound2 libattr libattr-devel libbz2-1 libbz2-devel libdaemon libdb-4_5 libdrm libdrm-devel libexpat-devel libexpat1 libgcc42 libgcrypt libgcrypt-devel libglade2 libgomp42 libgpg-error libgpg-error-devel libidn libidn-devel libjack libjpeg libjpeg-devel liblazy liblcms liblcms-devel libltdl-3 libmng libmng-devel libmudflap42 libogg libogg-devel libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns openldap2-client openssl openssl-certs orbit2 pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt post-build-checks python qt3 qt3-devel rpm sed sgml-skel sqlite sudo sysvinit tar texinfo timezone unsermake update-desktop-files util-linux xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           kwin-decor-suse2
Url:            http://www.gerdfleischer.de/kwin-decor-suse2/
BuildRequires:  kdebase3-devel
License:        GPL v2 or later
Group:          System/GUI/KDE
Summary:        The Window Decoration of SUSE - improved
Version:        0.4.1
Release:        32.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name-%version.tar.bz2
Source1:        po.tar.bz2
Patch0:         kwin-decor-suse2-suse.diff
Patch1:         fix-button-support-override.diff

%description
This is the improved version of the standard SUSE KDE window
decoration.



Authors:
--------
    Adrian Schroeter <adrian@suse.de>
    Sandro Giessl <ceebx@users.sourceforge.net>
    Rik Hemsley (rikkus) <rik@kde.org>
    Gerd Fleischer <gerdfleischer@web.de>

%debug_package
%prep
%setup -q
tar xf %SOURCE1
%patch0
%patch1
. /etc/opt/kde3/common_options
update_admin --no-unsermake

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
cp -a extra/kroete.png src/titlebar_decor.png
do_make %{?jobs:-j %jobs}

%install
. /etc/opt/kde3/common_options
do_make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
rm -rf $RPM_BUILD_ROOT/opt/kde3/share/apps/kdisplay/color-schemes/SUSE2.kcsrc
%find_lang kwin_SUSE2

%clean
rm -rf $RPM_BUILD_ROOT

%files -f kwin_SUSE2.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
/opt/kde3/%_lib/kde3/kwin3_SUSE2.la
/opt/kde3/%_lib/kde3/kwin3_SUSE2.so
/opt/kde3/%_lib/kde3/kwin_SUSE2_config.la
/opt/kde3/%_lib/kde3/kwin_SUSE2_config.so
/opt/kde3/share/apps/kwin/SUSE2.desktop
/opt/kde3/share/apps/kwin/pics/titlebar_decor.png

%changelog
* Fri Nov 02 2007 - dmueller@suse.de
- fix some configure buttons being greyed out (#338363)
* Wed Aug 22 2007 - dmueller@suse.de
- fix 10.3 regression on inactive buttons (#298880)
* Mon Aug 20 2007 - dmueller@suse.de
- fix icon colors (#298880)
* Mon Aug 06 2007 - dmueller@suse.de
- update to 0.4.1:
  * patches upstreamed
  * drawing fixes
  * fadeout effect for the window title
* Fri Nov 24 2006 - dmueller@suse.de
- remove conflicting color scheme file (#223527)
* Thu Nov 23 2006 - dmueller@suse.de
- translation update
- fix slightly strange button color in strange color schemes (#223209)
* Tue Nov 07 2006 - dmueller@suse.de
- translation update
* Fri Nov 03 2006 - dmueller@suse.de
- update to 0.4.0:
  * upstream release, added option to go back to old style
* Thu Oct 26 2006 - dmueller@suse.de
- update to -r599285 (#214253)
* Thu Oct 12 2006 - dmueller@suse.de
- typo fix
* Thu Oct 05 2006 - dmueller@suse.de
- Initial package (0.3.5 + SVN)
